Subject: Re: bug#2827: Can't use Caps Lock on Windows
From: Jason Rumney <[email-masked]>
To: [email-masked]
Cc: Michael Hoffman <[email-masked]>, black <[email-masked]>
Date: Thu, 29 Oct 2009 22:47:22 +0800

Jason Rumney wrote:
> Michael Hoffman wrote:
>> Since the problem now seems to be fixed, it seems you can mark this 
>> bug invalid. Sorry about the inconvenience.
>
> I think it is better to leave it open, tagged as moreinfo, until we 
> understand the cause, so we can document it in etc/PROBLEMS.

Thanks to the observation of Black Qin on the help-gnu-emacs list that 
this is triggered by scroll lock being on, I have tracked this down to 
an inapproptiate default value of w32-scroll-lock-modifier. Putting the 
following in your init file should fix the problem if you cannot update 
immediately:

(setq w32-scroll-lock-modifier nil)